# ErrorDialogService | CICADA
Documentation for CICADA

### Hierarchy

- ErrorDialogService

## Index

### Constructors

- constructor

### Properties

- dialog
- isDialogOpen

### Methods

- openDialog

## Constructors

### constructor

- new ErrorDialogService(dialog: MatDialog): ErrorDialogService

- - Defined in src/app/_services/error-dialog.service.ts:9

  #### Parameters

  - ##### dialog: MatDialog

  #### Returns ErrorDialogService

## Properties

### dialog

dialog: MatDialog

### isDialogOpen

isDialogOpen: boolean = false

- Defined in src/app/_services/error-dialog.service.ts:9

## Methods

### openDialog

- openDialog(data: any): any

- - Defined in src/app/_services/error-dialog.service.ts:13

  #### Parameters

  - ##### data: any

  #### Returns any

Generated using TypeDoc